%global         srcname     azure-mgmt-datalake-store

Name:           python-%{srcname}
Version:        0.5.0
Release:        5%{?dist}
Summary:        Microsoft Azure Datalake Store Management Client Library for Python
License:        MIT
URL:            https://pypi.org/project/%{srcname}/
Source0:        %{pypi_source %{srcname} %{version} zip}
Patch0:         remove-custom-wheel-builder.patch

BuildArch:      noarch

Epoch:          1

Obsoletes:      python-azure-sdk < 5.0.1

BuildRequires:  python3-devel
BuildRequires:  pyproject-rpm-macros


%global _description %{expand:
Microsoft Azure Datalake Store Management Client Library for Python}

%description %{_description}


%package -n python3-%{srcname}
Summary:        %{summary}

%description -n python3-%{srcname} %{_description}


%prep
%autosetup -p0 -n %{srcname}-%{version}

# Remove the customized wheel builder included by Microsoft that adds
# azure-mgmt-nspkg to the requirements.
rm -f azure_bdist_wheel.py


%generate_buildrequires
%pyproject_buildrequires -r


%build
%pyproject_wheel


%install
%pyproject_install

# PEP 420 allows implicit namespace packaging without additional __init__.py
# files. Remove unneccessary __init__.py that conflicts with other packages.
rm -rf %{buildroot}%{python3_sitelib}/azure/{__init__.py,__pycache__}
rm -rf %{buildroot}%{python3_sitelib}/azure/mgmt/{__init__.py,__pycache__}
rm -rf %{buildroot}%{python3_sitelib}/azure/mgmt/datalake/{__init__.py,__pycache__}


%files -n python3-%{srcname}
%doc README.rst HISTORY.rst
%{python3_sitelib}/azure/mgmt/datalake/store
%{python3_sitelib}/azure_mgmt_datalake_store-%{version}.dist-info


%changelog
* Fri Jul 23 2021 Major Hayden <major@mhtx.net> - 1:0.5.0-5
- Include HISTORY.rst.

* Thu Jul 22 2021 Major Hayden <major@mhtx.net> - 0.5.0-4
- Add epoch for 0.5.0 downgrade.

* Wed Jul 14 2021 Major Hayden <major@mhtx.net> - 0.5.0-3
- Remove unneccessary __init__.py files to avoid file conflicts.

* Wed Jul 07 2021 Major Hayden <major@mhtx.net> - 0.5.0-2
- Remove custom wheel builder to avoid azure-mgmt-nspkg requirement.

* Tue Jun 01 2021 Major Hayden <major@mhtx.net> - 0.5.0-1
- First package.
